import { getEnumTypeList, getEnumTypeName } from './index'

/**
 * 关联交易类型
 */
export enum BusinessType {
    HedgedItem = 13, // 被套期项目
}

/**
 * 获取类型列表
 * @returns 
 */
export function getBusinessTypeList() {
    return getEnumTypeList('BusinessType');
}

/**
 * 获取枚举名称
 * @param value 
 * @returns 
 */
export function getBusinessTypeName(value: number) {
    return getEnumTypeName(getBusinessTypeList(), value);
}

/**
 * 判断类型是否相同
 * @param key 
 * @param value 
 * @returns 
 */
export function isEqualBusinessType(key: keyof typeof BusinessType, value: number) {
    return BusinessType[key] === value;
}